# Functor Core_set_intf.Check_accessors

    module Check_accessors: functor (T : T.T2) -> functor (Tree : T.T2) -> functor (Elt : T.T1) -> functor (Cmp : T.T1) -> functor (Options : T.T3) -> functor (M : Accessors_generic
         with type ('a, 'b, 'c) options := ('a, 'b, 'c) Options.t
         with type ('a, 'b) t           := ('a, 'b) T.t
         with type ('a, 'b) tree        := ('a, 'b) Tree.t
         with type 'a elt               := 'a Elt.t
         with type 'cmp cmp             := 'cmp Cmp.t) -> sig .. end

Consistency checks (same as in `Container`).

Parameters:

`T` | : | `T.T2`
`Tree` | : | `T.T2`
`Elt` | : | `T.T1`
`Cmp` | : | `T.T1`
`Options` | : | `T.T3`
`M` | : | `Accessors_generic with type ('a, 'b, 'c) options := ('a, 'b, 'c) Options.t with type ('a, 'b) t := ('a, 'b) T.t with type ('a, 'b) tree := ('a, 'b) Tree.t with type 'a elt := 'a Elt.t with type 'cmp cmp := 'cmp Cmp.t`